Skip to main content
`Ctrl`+`K`

# SNESSetForceIteration

force `SNESSolve()` to take at least one iteration regardless of the initial residual norm

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetForceIteration(SNES snes, PetscBool force)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- force - `PETSC_TRUE` require at least one iteration

## Options Database Key

- -snes_force_iteration <force> - Sets forcing an iteration

## Note

This is used sometimes with `TS` to prevent `TS` from detecting a false steady state solution

## See Also

SNES: Nonlinear Solvers, `SNES`, `TS`, `SNESSetDivergenceTolerance()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages